* Convert a floating point number on stack to an word integer value on stack
*
         section code

         xdef   sb_flt2int

         xref   flt2int

*
sb_flt2int
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Description: Convert a floating point number in d1 to word integer on the
*              RI stack
*
* input :
*       a1  -> integer on stack
*
* return:   cc set
*       d1   = (word integer)
*       a1  -> value on stack
*   $58(a6)    updated
*       errors: OV
*       no other registers affected
*
        bsr     flt2int
        bne.s   error
        move.l  a1,$58(a6)
error
        rts
*
        end
