* Convert a floating point number to a string
*
         section code

         xdef   sb_flt2str

         xref   flt2str,su_mvs01res
*
sb_flt2str
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Description: Convert a floating point number on the RI stack to a string
*              on the RI stack
*
* input :
*       a1  -> float on stack
*
* return:   cc set
*       a1  -> string (len + chars)
*       d1/a0  ???
*       errors: OV
*       no other registers affected
*
        movea.l (a6),a0         get buffer base
        bsr     flt2str         do the conversion (no errors)
        move.l  a1,$58(a6)      save stack pointer
        bsr     su_mvs01res     move the stuff over
        movea.l $58(a6),a1      point to result on stack
        moveq   #0,d0           everything ok
        rts
*
        end
