* Convert a long integer to floating point value on the stack
*
         section code

         xdef   sb_int2flt      reserve space on stack and convert

         xref   resrir,int2flt
*
sb_int2flt
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Description: Reserve space, convert a word integer on stack to floating point
*              number on the RI stack
* input :
*       a1  -> word integer on RI stack
*
* return:   cc  set
*       a1  ->  floating point value on RI stack
*       d1      ???
*       errors: always 0
*
        move.l  a1,$58(a6)      save stack pointer
        moveq   #6-2,d1         we require four more bytes on stack
        bsr     resrir          reserve space and allocate it
        move.w  4(a6,a1.l),d1   get integer
        bra     int2flt         convert long int into a floating point number
*
        end
