* Convert a long integer to floating point value on the stack
*
         section code

         xdef   sb_lin2flt      reserve space on stack and convert

         xref   resrir,lin2flt
*
sb_lin2flt
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Description: Reserve space, convert a long integer on stack to floating point
*              number on the RI stack
* input :
*       a1  -> long integer on RI stack
*
* return:   cc  set
*       a1  ->  floating point value on RI stack
*       d1      ???
*       errors: always 0
*
        move.l  a1,$58(a6)      save stack pointer
        moveq   #6-4,d1         we require two more bytes on stack
        bsr     resrir          reserve space and allocate it
        move.l  2(a6,a1.l),d1   get long integer
        bra     lin2flt         convert long int into a floating point number
*
        end
