* Convert long integer on stack to ASCII string on stack
* PWITTE December 28th 1992
*
         section code

         xdef sb_lin2str

         xref cv_lin2str,su_mvwl01res

*
sb_lin2str
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Convert signed long integer on RI stack to ascii on RI stack via buffer
*
* input :
*        a1  -> lint to convert
*
* output:    cc set
*        a1  -> string on stack
*        d1/a0  ???
*        errors: no fail
*        no other registers affected
*
        move.l  0(a6,a1.l),d1   get long integer
        addq.l  #4,$58(a6)      update stack pointer
        bsr     cv_lin2str      convert lint to str in buffer (no errors)
        bsr     su_mvwl01res    move string over from buffer
        movea.l $58(a6),a1      point to it on the stack
        moveq   #0,d0           no fail
        rts
*
        end
