* sbfu_headr - read file header (SuperBASIC)
*
        section code

        xdef    sbfu_headr
*
sbfu_headr
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Read the file header (and set file pointer to first byte in file)
* Uses the superbasic buffer
* input :
*       a0  = channel id of file to read (*must* be a file channel)
*
* return: cc = set
*       a1  -> buffer
*       errors: file errors
*       all other registeres preserved
*
        movea.l (a6),a1         ;a1 -> buffer
        movem.l d2-d3/a1,-(a7)
        moveq   #14,d2          ;buffer length required
        moveq   #-1,d3          ;timeout
        moveq   #$47,d0         ;iof.rhdr (fs.headr)
        trap    #4              ;a6 relative
        trap    #3
        movem.l (a7)+,d2-d3/a1
        tst.l   d0
        rts
*
        end
