* General SuperBASIC utilities
*
* V0.02, pjw, March 22nd 2018 - new info on qa.resri
*
        section code

        xdef    resri

        include dev8_keys_qlv
        include dev8_keys_sbasic

*
resri
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Sub-routine to reserve (but not allocate) room on on ri.stack
* If there's anything on the stack you wish to keep set bv_rip to point to
* it before calling this routine.
*
* input  :
*          d1.l = number of bytes required
* return : cc     ???
*          d1 preserved
*          a1  -> "empty" stack
*          errors: none, returns to SB with OM
*          bv.rip may change during this call
*
        movem.l d1-d3/a2,-(a7)

        move.w  qa.resri,a2     bv.chrix/qa.resri (does nothing if cmpiled)
        jsr     (a2)            returns to BASIC on error

        movem.l (a7)+,d1-d3/a2
        movea.l sb_arthp(a6),a1
        rts
*
        end
