* Move a floating point number to RI stack
*
         section code

         xdef   flt2stk

         xref   resrir

*
flt2stk
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Description: Reserve room and move six bytes from buffer to the RI stack
*
* input :
*       a0  -> floating point number (six bytes, no len)
*
* return:   cc ???
*       a0     preserved
*       a1  -> value on stack
*       d1   = ???
*       errors: no error
*       no other registers affected, though bv.rip may change
*
        moveq   #6,d1
        bsr     resrir
        move.w  0(a6,a0.l),0(a6,a1.l)
        move.l  2(a6,a0.l),2(a6,a1.l)
        rts
*
        end
