* Routine to move a string to the SuperBASIC buffer
* PWITTE June 30th 1995

        section code

        xdef    str2buf,su_mvs10res,su_mvw10res,su_mvwl10res

        xref    resbf,su_movew10

*
str2buf
su_mvs10res
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Routine to move a string to the SuperBASIC buffer, first ensuring that there
* is enough space to do so.
* Note: In some versions of QDOS the space taken by expanding the buffer may
*       not be reclaimed.
*
* input :
*       a1  -> string on stack
*  and  d1.l = number of bytes to move (mvb10res only)
*   or  d1.w = length of string        (mvl10res only)
*
* return:    cc  ???
*       d1/a0-a1 ???
*       $58(a6) unchanged !
*       errors: falls back to system on OM
*       all other registeres preserved
*
        move.w  0(a6,a1.l),d1   get length
su_mvwl10res
        ext.l   d1
        addq.l  #2,d1           add room for length word too
su_mvw10res
        bsr     resbf           check room in buffer, else expand
        movea.l (a6),a0         get buffer pointer
        bra su_movew10          move d1 bytes into buffer
*
        end
