* ut_lcstk - uppercase string on stack
*
* PWitte February 5th 2001
*
* V0.02 August 10th 2003

        section code

        xdef ut_ucstk

*
ut_ucstk
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Converts any lowercase characters to uppercase character in place, in
* an a6-rel buffer, including foreign.
*
* input :
*       a6 + a1  -> len + string
*
* return: cc = ???
*       d0/d1/a1  = ???
*       errors: none
*       All other registers preserved
*

        move.w 0(a6,a1.l),d1
        bra.s uppercase

uloop
        move.b 2(a6,a1.l),d0

ut_uchr
        cmpi.b #'a',d0
        blo.s notrans        ;bcs.s
        cmpi.b #'z',d0
        bhi.s foreign
        subi.b #' ',d0
        bra.s notrans

foreign
        cmpi.b #139,d0
        bhi.s notrans
        cmpi.b #128,d0
        blo.s notrans
        addi.b #' ',d0

notrans
        move.b d0,2(a6,a1.l)
        addq.l #1,a1

uppercase
        dbra d1,uloop

        rts

*
        end
