* ut_cv16to32
*
* V0.01, pjwitte 2oi9+
*
* Compatible with QDOS, Minerva and SMSQ/E (but GD2 gfx data only)
*

        section code

        xdef cv_16to32

        xref cv_33to32

*
cv_16to32
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Convert one item of 8bit mode 16 graphics data to mode 32 (QPC/QXL)
*
* input:
* d0.w = #$00ff         - byte mask
* d3.b = grbgrbgx       - colour to convert
* a3  -> tab_16to33     - !!!
*
* output
* d3.w = mode 32 colour
*
* d0/a3   preserved
*
* All other regs unchanged
*
* Always "succeeds" - no error or CC
*

        and.w d0,d3             strip off sign
        add.w d3,d3             make offset
        move.w (a3,d3.w),d3

        bra cv_33to32
        nop

*
        end
