* Native colour conversion
*
* V0.01, 2oi8+, pjwitte, algorithm by W Lenerz, 2004
*
* Compatible with all GD2 modes
*

        section code

        xdef cv_33to24
        xdef ut_cv33to24

*
ut_cv33to24
*
cv_33to24
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* entry:
*       d3.W = rrrrrggg ggbbbbbw        - Qx0/Q68 (mode 33) colour to convert
*
* exit:
*       d0 smashed
*       d3 = 0 R G B                    - 24 bit mode ncolour code
*
* no error codes set or checked, routines always succeed

        move.w d3,d0            rrrrrggg ggbbbbbw
        andi.l #$F800,d3        rrrrr000 00000000
        rol.l #8,d3             red into lower byte of upper word 0 R 0 0
        move.w d0,d3            rrrrrggg ggbbbbbw
        andi.b #%11000000,d3    rrrrrggg gg000000
        lsl.w #5,d3             ggggg000 00000000  = 0 R G 0
        andi.b #%00111110,d0    rrrrrggg 00bbbbb0
        lsl.b #2,d0             rrrrrggg bbbbb000
        move.b d0,d3            0 R G B

        rts

*
        end
