* Get current pointer position
*
* pjwitte 2oi9+
* All code is my own work except as and where stated
*
* V0.01, pjw, 2019 Aug 30
*
* Compatible with QDOS / Minerva + PE (?), or SMSQ/E
*


        section code

        xdef ut_ptrxy

        include dev8_keys_qdos_sms
        include dev8_keys_sys
        include dev8_keys_con

*
ut_ptrxy
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Get current pointer position
*
* return d1.l current x | y
* error undefined (probably 0)
* No other registers affected

regs    reg d2/a0

        movem.l regs,-(sp)

        moveq #sms.info,d0
        trap #do.smsq           get ptr to system variables in a0

        move.l sys_clnk(a0),a0  ptr to CON linkage
        move.l pt_pos(a0),d1

        movem.l (sp)+,regs

        rts

*
        end
