* Get console's current ink colour
*
* pjwitte 2oi5+
* All code is my own work except as and where stated
*
* V0.00
*
* Compatible with QDOS, Minerva and SMSQ/E
*

        section code

        xdef col_ink,col_pap,col_mode

        xref con_ink

        xref chan_d6
        xref l2frtr

        include dev8_keys_sbasic


*
col_ink
        moveq   #2,d2           flag ink wanted
        bra.s   common

*
col_pap
        moveq   #0,d2           flag paper wanted

common
        moveq   #1,d6           default channel #1
        bsr     chan_d6
        bne.s   err

        bsr.s   con_ink

exit
        bra     l2frtr

err
        rts

*
col_mode
              
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Return colour mode
*
* Returns colour mode
*
* input :
*       a0   = channel id
*       a6  -> Sbasic
*
* return: cc = set
*       d1.l = colour mode
*       errors: NO
*
        moveq   #0,d1
        move.b  sb_colrm(a6),d1         get colour display mode from SB
        bra.s   exit

*
        end
