* General xtop routines, modify to taste
* pjwitte 1996..2oo4
*
        section code

        xdef    con_ink

        include dev8_keys_qdos_io
        include dev8_keys_con
        include dev8_keys_sbasic


*
con_ink
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Return ink or paper colour
*
* This version designed to be called from inside S*Basic
* Returns the native ink or paper colour
*
* input :
*       d2   = .w query: 0 = paper, 2 = ink
*       a0   = channel id
*       a6  -> Sbasic
*
* return: cc = set
*       d1.l = colour native
*       errors: NO
*       all other registers preserved
*
        movem.l d3/a2,-(a7)

        move.b  sb_colrm(a6),d1         get colour display mode from SB

        lea.l   paper,a2
        moveq   #iow.xtop,d0
        moveq   #forever,d3
        trap    #do.io
        tst.l   d0

        movem.l (a7)+,d3/a2
        rts

*
paper
        moveq #0,d0                     no errors from here

        tst.b   d1
        bne.s   hicol

        moveq   #0,d1
        move.b  sd_pcolr(a0,d2.w),d1
        rts

hicol
        lsl.w   #2,d2                   ink or paper
        move.l  sd_pmask(a0,d2.w),d1
        rts
*
        end
