* Convert a long integer to an word integer value

* V0.01, pjw, 2003
* V0.02, pjw, 2021 Nov 24, different method; 1 instruction less

         section code

         xdef   lin2int

*
lin2int
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Description: Convert a long integer in d1 to word integer
*
* input :
*       d1.l = long integer
*
* return:   cc set
*       d1.w = word integer
*       errors: OV
*       no other registers affected
*
        moveq   #0,d0
        move.w  d1,d0
        sub.l   d1,d0
        bne.s   li_ov

        rts
li_ov
        moveq   #-18,d0
        rts
*
        end
