* General ASCII to number conversion routine
* PWITTE June 27th 1995
*

        section code

        xdef    str2num

*
str2num
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Convert a string in a buffer to number on the stack
*
* input  :
*        a0 -> start of string in a buffer (including len word)
*        a1 -> an empty stack with at least 30 bytes available
*        a2 =  vector, eg cv.decfp ($100) or cv.deciw ($102)
*
* return :  cc  set
*        a1 ->  start of value on stack
*        errors XP, OV
*        d1/a0  ???
*
        movem.l d2-d3/d7/a3,-(a7)
        move.w  0(a6,a0.l),d7   d7 will be end of buffer pointer
        ext.l   d7
        addq.l  #2,a0           point past len word
        add.l   a0,d7           put end pointer in place
        jsr     (a2)            convert
        movem.l (a7)+,d2-d3/d7/a3
        rts
*
        end
