* Open file or get channel info
* PWITTE January 22nd 1996
*
         section code

         xdef fchinfo

         xref chan_par,ut_stos

*
fchinfo
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Look for KEYWORD { #chid | \fnm$ | \name } ;... (must be first parameter)
* If #chid given check it exists and is open
* If \name{$} open it according to open code, and mark that it was opened
* If neither of these conditions apply, or if there were no parameters use
* default which is channel #0
*
* Input  : d1  =  jobid (as for ioa.open)
*          d3  =  open key (as for ioa.open)
*          d6  =  default #channel no. for this operation
*          a3  -> first par
*          a5  -> last par
* Output : d0  =  error
*          d3  =  flag whether channel open (-ve) or openED (+ve)
*          a0  =  channel ID
*          a3  -> next par (if first had to do with channel info)
*
* d6/a1 smashed, all other registeres preserved
*
        move.l  a5,d0
        sub.l   a3,d0
        ble.s   err_bp
        cmpi.w  #3*8,d0         chan => 1 or 2 pars, stos => 3+
        blt.s   chan            less than 3 must be chan
        cmpi.w  #$30,0(a6,a3.l) look for \nnnn
        beq.s   file
chan
        bsr.s   chan_par         no, leave the rest to channel
        moveq   #-1,d3          flag "channel was open"
        bra.s   return
file
        addq.l  #8,a3           skip past empty parameter
        movem.l d1-d4/a2,-(a7)
        bsr.s   ut_stos         get filename
        movem.l (a7)+,d1-d4/a2
        bne.s   ret
        movea.l a1,a0           point to filename
        moveq   #3,d0
        add.w   0(a6,a1.l),d0
        bclr    #0,d0
        pea.l   0(a1,d0.w)
        moveq   #1,d0           ioa.open
        trap    #4
        trap    #2
        move.l  (a7)+,$58(a6)   reset ri.stack
        moveq   #0,d3           flag "close after use"
return
        tst.l   d0
ret
        rts
err_bp
        moveq   #-15,d0
        rts
*
        end
