* sbfu_flen - read file length (SuperBASIC)
*
        section code

        xdef    sbfu_flen

        xref    sbfu_headr

*
sbfu_flen
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Read the length of a file (and set file pointer to first byte in file)
* Uses the superbasic buffer
* input :
*       a0  = channel id of file to read (*must* be a file channel)
*
* return: cc = set
*       d1.l = file length (actual data length of file (ie excl header))
*       errors: file errors
*       all other registeres preserved
*
        move.l  a1,-(a7)
        bsr     sbfu_headr
        bne.s   fl_rts
        move.l  0(a6,a1.l),d1   ;file length
fl_rts
        movea.l (a7)+,a1
        tst.l   d0
        rts
*
        end
