* General SuperBASIC string mover
* PWITTE June 27th 1995
*
        section code
*
        xdef    mvestr01
*
mvestr01
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Moves a string from (a6,a0.l) to (a6,a1.l)
*
* input :
*        a0  -> string (length word)
*        a1  -> buffer
* return:
*        d1.w/a0-a1 all changed
*        no other registers affected
*
        move.w  0(a6,a0.l),d1
        addq.w  #1,d1                   in case odd
        lsr.w   #1,d1                   convert to word count
mv_loop
        move.w  0(a6,a0.l),0(a6,a1.l)
        addq.l  #2,a0
        addq.l  #2,a1
mv_lend
        dbra    d1,mv_loop              always move at least length word
        rts
*
        end
