* Routine to reseve room and move a string to the RI stack
* PWITTE June 30th 1995

        section code

        xdef    str2stk,su_mvs01res,su_mvw01res,su_mvwl01res

        xref    resrir,su_movew01

*
str2stk
su_mvs01res
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Routine to move a string (or bytes) from a buffer to the RI stack first
* reserving the space needed
*
* input :
*       a0   -> string in a buffer
*  and  d1.l  = number of bytes to move      (mvb01res only)
*   or  d1.w  = length of string             (mvl01res only)
*
* return:    cc  ???
*       d1/a0-a1 ???
*       errors: none
*       all other registeres preserved
*
        move.w  0(a6,a0.l),d1   get length
su_mvwl01res
        ext.l   d1
        addq.l  #2,d1           add room for length word too
su_mvw01res
        bsr     resrir          reserve and allocate space for string
        bra     su_movew01      move d1 bytes onto stack
*
        end
