* Return a floating point number to SuperBASIC
*
        section code

        xdef    ret_flt
*
ret_flt
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Description: Return a floating point number on the stack to a
*              SuperBASIC function
* input :
*       a1  -> value on stack
*  $58(a6)  -> ----- " ------
* return:   cc = set
*       d4.l   = code
*       errors: always 0
*       all other registeres preserved
*
        moveq  #2,d4            ;FP return
        moveq  #0,d0            ;no errs
        rts
*
        end
