* Convert RGB to native colour
*
* V0.01, pjwitte 2oi9+
*
* Conversion code, V2.00   1998, Tony Tebby, taken from SMSQ/E sources
*
* Compatible with QDOS, Minerva and SMSQ/E (but GD2 gfx data only)
*


        section colour

        xdef ut_cv64to16

        xref tab_rgb2aur
        xref cv_64to16


*
ut_cv64to16
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Convert one item of 32bit RGB mode 64 graphics data to mode 16 (Aurora)
*
* input:
* d3.l = RGB0           - colour to convert
*
* output:
* d0   = 10
* d3.b = grbgrbgx       - 8-bit colour, mode 16
*
* All other registers unchanged
*
* Always "succeeds" - no error or CC
*

        move.l a3,-(sp)
        lea.l tab_rgb2aur(pc),a3
        moveq #10,d0
        bsr cv_64to16

        move.l (sp)+,a3
        rts

*
        end
