* General subroutines alchp/rechp
*
* V0.02, pjw, 2021 May 19, ut_rechp: Some routines relied on d0 being
*                          preserved, so I re-instated this

        section code

        xdef ut_alchp,ut_rechp

*
ut_alchp
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
*
* input:  d1.l  amount of memory to reserve - the request
*
* return: d1 =  actual amount allocated
*         a0 -> RAM block
*
areg    reg d2-d3/a1-a3
        movem.l areg,-(a7)

        moveq #-1,d2            for this job
        moveq #$18,d0            reserve memory
        trap #1
        movem.l (a7)+,areg
        tst.l d0
        rts

*
ut_rechp
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
*
* input:  a0    base of area to be freed
*
*
rreg    reg d0-d3/a1-a3
        movem.l rreg,-(a7)

        moveq #$19,d0
        trap #1
        movem.l (a7)+,rreg
        rts
*
        end
